Bug 730924 - Change dependency on report to libreport
Summary: Change dependency on report to libreport
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-meh
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Chris Lumens
QA Contact: David Kutálek
URL:
Whiteboard:
Depends On:
Blocks: 747120
TreeView+ depends on / blocked
 
Reported: 2011-08-16 09:09 UTC by Michal Toman
Modified: 2015-03-23 00:41 UTC (History)
3 users (show)

Fixed In Version: python-meh-0.11-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 19:03:21 UTC


Attachments (Terms of Use)
Modified specfile (3.65 KB, text/x-rpm-spec)
2011-08-16 09:09 UTC, Michal Toman
no flags Details
specfile patch (1.35 KB, patch)
2011-08-18 14:30 UTC, Michal Toman
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1763 normal SHIPPED_LIVE python-meh bug fix update 2011-12-06 01:01:38 UTC

Description Michal Toman 2011-08-16 09:09:45 UTC
Created attachment 518441 [details]
Modified specfile

As far as report-gtk and report-newt are replaced by libreport-gtk and libreport-newt, Requires in python-meh.spec should be changed as well. The old report package will be kept, renaming the python module and the report binary to report1.
Attaching the modified specfile.

Comment 2 RHEL Product and Program Management 2011-08-16 09:28:21 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 Chris Lumens 2011-08-18 13:45:04 UTC
It's customary to attach patches, instead of the entire file and making me figure out what's different.  Anyway, why can't libreport continue to Provide: the old stuff?  This is RHEL, after all, and we can't just take things away like that.

Comment 4 Michal Toman 2011-08-18 14:30:58 UTC
Created attachment 518881 [details]
specfile patch

Comment 5 David Cantrell 2011-09-29 14:26:02 UTC
We need to get bug #728871 fixed in 6.2 and since this is a specfile cleanup change, we might as well include it in the 6.2 rebuild of python-meh too.

Comment 8 errata-xmlrpc 2011-12-06 19:03:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1763.html


Note You need to log in before you can comment on or make changes to this bug.